iPhone Upgrade to iOS 5.1.1

Discussion in 'Jailbreaks and iOS Hacks' started by yeast2u, Sep 24, 2012.

  1. yeast2u macrumors newbie

    Joined:
    Sep 16, 2010
    #1
    Hey, I just found my closet iphone 3gs yesterday. it was running ios 5.0.1(jailbroken unteathered and unlocked). I saw apple claiming battery issue fixed in ios 5.1 and/or 5.1.1 and I tried to preserve baseband and upgrade. I can upgrade to 5.1 but redsnow saying it is teathered; I can not upgrade to ios 5.1.1 as itunes keep telling me "the device is not eligable for the firmware". I even tried to restore to stock 5.1.1 and itunes displayed the same warning...

    I checked hosts file(s) and there is no entry for gs.apple.com.

    I am running mac os x 10.8 with most recent itunes.

    So my question is:
    1. Is there a way to unteather jailbroken 5.1?
    2. Is there any known issue of upgrading to ios 5.1.1 with latest MAC/itunes?
    3. Should I try to upgrade to 5.1.1? OR Does it really fix the battery issue? OR I should downgrade back to 5.0.1?

    Thanks,
    /S
     
  2. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #2
    1) No
    2) Not for an A4 device like the 3GS, you need to stitch your SHSH/APticket to the 5.1.1 firmware with redsn0w, iclarified has tutorials on it.
    3) No, i would stay on 5.0.1, it's fine batterywise, 5.1.1 doesn't really bring any extra's to 5.01
     
  3. yeast2u thread starter macrumors newbie

    Joined:
    Sep 16, 2010
    #3
    Thanks for the relay. I checked SHSH BLOB for my phone. It only shows blob for 5.1 and lower. I can not find blob for 5.1.1 in redsnow. Maybe I am checking the wrong place?

    BTW, my phone never run 5.1.1 before.
     
  4. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
  5. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #5
    Check cydia, it will say on the main page which blobs it has
     
  6. yeast2u thread starter macrumors newbie

    Joined:
    Sep 16, 2010
    #6
    I checked cydia on my iphone and it only shows 5.1 and lower :(

    Does this mean I am out of luck for upgrading to 5.1.1 while preserving baseband?
     
  7. eastercat macrumors 68040

    eastercat

    Joined:
    Mar 3, 2008
    Location:
    PDX
    #7
    Yes. No 5.1.1 means you can't install it. No ifs, ands or buts. :rolleyes:
     
  8. thadoggfather Suspended

    thadoggfather

    Joined:
    Oct 1, 2007
    #8
    I have an iPhone 4S with 5.0.1 but I saved the 5.1.1 shsh blob I can still get this phone on 5.1.1 right?

    I for sure have the blob on tiny umbrella I think It's on Cydia too

    Can you point me to the right tutorial?
     
  9. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #9
    Since Apple stopped signing 5.1.1, you cannot upgrade a 4S even with hashes saved (except to iOS6)
     
  10. thadoggfather Suspended

    thadoggfather

    Joined:
    Oct 1, 2007
    #10
    I see.

    Thankfully, I have this phone on 5.0.1 jailbroken already and 5.1.1 was pretty incremental if memory serves me right (faux G indicator for HSPA, camera slide up icon, maybe "performance tweaks")

    I thought dev team said if you had blobs you could stitch them into an IPSW provided you hadn't upgraded to IOS 6 already.

    Guess I looked into it incorrectly.
     
  11. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #11
    Here is a copy/paste of 4S limitations:

    iPad3, i4S (and iPad2 owners who don’t satisfy #2) will always be able to RE-restore the current 5.x OS that’s already on their device. *So if you’re at 5.1.1 when the window closes (and you’ve saved your blobs), you’ll always be able to RE-restore to 5.1.1 again. *This makes the 5.1.1 jailbreak a lot less fragile — you don’t have to worry about messing up your install with funky extensions or getting into a boot loop, because you can always RE-restore from 5.1.1 to 5.1.1 again (or from 5.0.1 to 5.0.1 again, etc). *But once you fall off the 5.x train by restoring to 6.x, you’ll be stuck there until the next jailbreak.


    All of these features will be released shortly in a new version of redsn0w. *In the meantime please be sure you have your 5.1.1 blobs and stay at 5.1.1. *Happy iOS6 day!
     
  12. thadoggfather Suspended

    thadoggfather

    Joined:
    Oct 1, 2007
    #12
    Yeah i saw that post, but the only reason I question it is because it never explicitly says you can't go 5.0.1 to 5.1.1 with blobs or vice versa, but heeding caution that once you're on iOS 6, you're SOL.

    I guess you're right though?
     
  13. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #13
    You see one thing, I see another.
    The options are clearly listed.

    We could "what if" or "can I" the info all day, but in the end, the options will still read exactly the same.
     
  14. BumpyFlatline macrumors 68030

    BumpyFlatline

    Joined:
    Apr 11, 2012
    #14
    It says it clear as day. You must have misread it or misunderstood.

    "*This makes the 5.1.1 jailbreak a lot less fragile — you don’t have to worry about messing up your install with funky extensions or getting into a boot loop, because you can always RE-restore from 5.1.1 to 5.1.1 again (or from 5.0.1 to 5.0.1 again, etc). *But once you fall off the 5.x train by restoring to 6.x, you’ll be stuck there until the next jailbreak."
     
  15. thadoggfather Suspended

    thadoggfather

    Joined:
    Oct 1, 2007
    #15
    Yeah i guess its just wishful thinking.

    Thanks guys hah
     

Share This Page